Name: syskeeper
Summary: %name
Version: 0.6
Release: alt1
License: GPL
Group: System/Base

BuildArch: noarch

Url: http://sisyphus.ru/ru/srpm/Sisyphus/syskeeper

Packager: Denis Smirnov <mithraen@altlinux.ru>

Requires(pre): etckeeper

Requires: %name-base = %version-%release

Source: %name-%version.tar

%description
%summary

%prep
%setup -c
%build
%install
%makeinstall_std
mkdir -p %buildroot%_initdir/
install -p kernelbootlog %buildroot%_initdir/kernelbootlog
mkdir -p %buildroot/var/log/kernelbootlog

%files
%_sysconfdir/apt/apt.conf.d/syskeeper.conf
%_sbindir/syskeeper
%_sysconfdir/firsttime.d/%name

%changelog
* Sat May 15 2010 Denis Smirnov <mithraen@altlinux.ru> 0.6-alt1
- work _fast_ when used from apt
- add cpu and dmi info backup

* Tue Nov 03 2009 Denis Smirnov <mithraen@altlinux.ru> 0.5-alt2
- fix requires

* Sat Oct 31 2009 Denis Smirnov <mithraen@altlinux.ru> 0.5-alt1
- don't try backup partition tables on md* devices (ALT#20982)

* Sun Oct 11 2009 Denis Smirnov <mithraen@altlinux.ru> 0.4-alt1
- fix syskeeper main script

* Tue Oct 06 2009 Denis Smirnov <mithraen@altlinux.ru> 0.3-alt3
- fix typo

* Tue Oct 06 2009 Denis Smirnov <mithraen@altlinux.ru> 0.3-alt2
- fix kernelbootlog packaging

* Tue Oct 06 2009 Denis Smirnov <mithraen@altlinux.ru> 0.3-alt1
- import kernelbootlog

* Sun Oct 04 2009 Denis Smirnov <mithraen@altlinux.ru> 0.0.14-alt4
- fix typo

* Sun Oct 04 2009 Denis Smirnov <mithraen@altlinux.ru> 0.0.14-alt3
- code cleanup
- separate syskeeper-rpm package
- separate git support for syskeeper

* Mon Sep 28 2009 Denis Smirnov <mithraen@altlinux.ru> 0.0.13-alt3
- spec refactoring

* Mon Sep 28 2009 Denis Smirnov <mithraen@altlinux.ru> 0.0.13-alt2
- add Url tag

* Thu Sep 24 2009 Denis Smirnov <mithraen@altlinux.ru> 0.0.13-alt1
- fix HP Smart Array Controller compatibiltiy

* Thu Apr 23 2009 Denis Smirnov <mithraen@altlinux.ru> 0.0.12-alt1
- initialize syskeeper in firsttime.d, instead of post section

* Thu Apr 23 2009 Denis Smirnov <mithraen@altlinux.ru> 0.0.11-alt1
- use sfdisk for partitioning backup

* Thu Apr 23 2009 Denis Smirnov <mithraen@altlinux.ru> 0.0.10-alt1
- create etckeeper repo in postin silently

* Sun Dec 14 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.9-alt1
- fix typo in backup_disk

* Sat Dec 13 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.8-alt1
- ignore loop devices when backup data from disk storages

* Tue Nov 11 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.7-alt1
- fix git >= 1.6.0 compatibility

* Sun Aug 31 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.6-alt1
- suppress error output from LVM utilites
- not try to create git repo if it already exists
- set LANG to 'POSIX' (for correct lvm utils output)

* Sun Aug 24 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.5-alt1
- set return code to 0
- create directory for disk partitioning backup from backup_disk module
- add requires to kernelbootlog for syskeeper-hn

* Sat Aug 23 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.4-alt1
- split to subpackages (disk partitioning backup not needed in VEs)

* Sat Aug 23 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.3-alt1
- init etckeeper after install

* Sat Aug 23 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.2-alt1
- copy optimize_package_list from rpm-utils (syskeeper must not requires
  rpm-build)

* Sat Aug 23 2008 Denis Smirnov <mithraen@altlinux.ru> 0.0.1-alt1
- first build

